Maven Web Fragment Module facet problem

This topic contains 5 replies, has 2 voices, and was last updated by  support-tony 1 year ago.

Viewing 6 posts - 1 through 6 (of 6 total)
  • Author
    Posts
  • #529527 Reply

    gandalf902002
    Participant

    Hi,
    we have MyEclipse 2017 CI 7 and we have a maven web dynamic project with Resin 3.
    In the pom.xml there is a error that I can not solve :

    “Cannot install Web Fragment Module 3.0 facet. It is incompatibile
    with already installed facets: Dynamic Web Module 2.4. Please
    modify project configuration.”
    But in Facet -> Web Module the 2.4 is not present in the list.

    Any idea or hint to fix it ?

    #529537 Reply

    support-tony
    Keymaster

    gandalf,

    Sorry you’re seeing this problem. Where is that error message seen? Perhaps a screenshot would help. Also, to help us replicate the problem, can you send us the pom.xml file and the metadata for your project (that is, the .project file and the .settings folder under the project folder). You can PM the zipped files to me, rather than attach them here, if you prefer.

    #529745 Reply

    support-tony
    Keymaster

    gandalf,

    Thanks for the files. I’ve asked development to take a look and hopefully we’ll have more advice for you soon. Did you make some change to the pom just before this error appeared? The more information you can give us about the project and related projects, the better we’ll be able to help. For example, is the cmsservice-client project, or other project dependencies, a web fragment projects?

    Regarding the Dynamic Web Module version, you can see this by right clicking on the project and going to Properties, then looking at the Project Facets page.

    #530989 Reply

    support-tony
    Keymaster

    gandalf,

    Sorry for the delay; as yet, we’ve been unable to replicate your issue or determine its possible cause. However, as you didn’t answer the questions I put in my last reply, can we assume that you’ve managed to resolve the problem?

    #530996 Reply

    gandalf902002
    Participant

    Hi Tony,
    I do not solve the problem directly … I set to not notify the problem in Eclipse, but if I change the pom the error appears again and I have to set to not notify. Luckly the change of the pom is very rare.
    After investigation I supose that I have a old project (servlet 2.5) and this configuration is removed from Eclipse version used in the last MyEclipse (I see that start from 3.0)

    That’s all for me.

    #530997 Reply

    support-tony
    Keymaster

    gandalf,

    Sorry you’re still seeing this problem. What you can try, is to take a back up of your project (unless you have it in a source control system), then delete it from the workspace, but don’t select the option to delete the project contents. Now delete the .project file, the .classpath file and the .settings folder, from the project folder. Lastly, import the project as a maven project, rather than as an eclipse project. To do this, select File->Import->Maven->Existing Maven Projects, click Next and browse to the the folder containing your maven project (this may be the workspace folder), select the pom for the project and click Finish. This should then create all the necessary MyEclipse metadata for the project, which should, hopefully, be error free.

    Please let us know how you get on, if you try it.

Viewing 6 posts - 1 through 6 (of 6 total)
Reply To: Maven Web Fragment Module facet problem